Bug 761329 - should use systemctl instead of chkconfig --list
should use systemctl instead of chkconfig --list
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On: 694403
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-07 23:02 EST by Eric Blake
Modified: 2012-01-05 15:59 EST (History)
15 users (show)

See Also:
Fixed In Version: libvirt-0.9.6-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 694403
Environment:
Last Closed: 2012-01-05 15:59:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2011-12-07 23:02:36 EST
cloning to F16

+++ This bug was initially created as a clone of Bug #694403 +++

Description of problem:
When I did a yum update today in Fedora 15 branch,  I get

" Updating   : libvirt-client-0.8.8-4.fc15.x86_64                        14/132 

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

  Updating   : libvirt-python-0.8.8-4.fc15.x86_64                        15/132 
"

Looking at the spec,  it uses chkconfig --list and using that provides this output.  You should be using systemctl instead and add a dependency.  If you are migrated services from sysv to systemd,  refer to

https://fedoraproject.org/wiki/TomCallaway/Systemd_Revised_Draft

--- Additional comment from notting@redhat.com on 2011-04-07 08:19:11 MDT ---

Really, it should just do 'chkconfig --level $level <service>' to check if a service is enabled. The scriptlet as is today will already fail if you're running in a non-english locale, for example.



--- Additional comment from eblake@redhat.com on 2011-12-07 21:01:46 MST ---

This should be backported to F15, and cloned to F16.

commit fea83dde7b7e0725e4353a2cc5b6e5c7c61cb294
Author: Eric Blake <eblake@redhat.com>
Date:   Tue Dec 6 16:16:34 2011 -0700

    spec: don't use chkconfig --list
    
    https://bugzilla.redhat.com/show_bug.cgi?id=694403 reports that
    the specfile is incorrectly checking for a running libvirt-guests
    service.  For example,
    
    $ LC_ALL=es_ES chkconfig --list libvirt-guests
    libvirt-guests        0:desactivado          1:desactivado     2:desactivado     3:activo 5:activo         6:desactivado
    
    will fail to find 5:on, even though it is active.  But chkconfig
    already has a mode where you can silently use the exit status to
    check for an active service.
    
    * libvirt.spec.in (%post): Use simpler chkconfig options, to avoid
    issues with localization.
Comment 1 Fedora Update System 2011-12-19 21:08:38 EST
libvirt-0.9.6-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libvirt-0.9.6-4.fc16
Comment 2 Fedora Update System 2011-12-22 17:34:45 EST
Package libvirt-0.9.6-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.6-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17267/libvirt-0.9.6-4.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-01-05 15:59:27 EST
libvirt-0.9.6-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.